# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

Generated by [`auto-changelog`](https://github.com/CookPete/auto-changelog).

## [v3.19.1](https://github.com/bterlson/ecmarkup/compare/v3.19.0...v3.19.1) - 2020-03-27

### Merged

- Exit with nonzero status on build error [`#185`](https://github.com/bterlson/ecmarkup/pull/185)
- remove awaiter hack [`#181`](https://github.com/bterlson/ecmarkup/pull/181)
- Remove unused dependencies [`#180`](https://github.com/bterlson/ecmarkup/pull/180)
- TypeScript: enable strict [`#179`](https://github.com/bterlson/ecmarkup/pull/179)

### Commits

- be explicit about type-only imports [`dc5b4a8`](https://github.com/bterlson/ecmarkup/commit/dc5b4a81204b6d8fb9d707c2437b91d5a80befb4)
- get rid of `import = require()` [`0af62c0`](https://github.com/bterlson/ecmarkup/commit/0af62c028a40b2a4be857deebe0e383e3489d6bc)
- sort type-only imports first [`392ee81`](https://github.com/bterlson/ecmarkup/commit/392ee81f2e88ca0664a5201f1dd886086c19ba97)
- Bump acorn from 5.6.2 to 5.7.4 [`a5e3d60`](https://github.com/bterlson/ecmarkup/commit/a5e3d6064d322dda9bba10c2d71bf575c0ecb7f7)

## [v3.19.0](https://github.com/bterlson/ecmarkup/compare/v3.18.3...v3.19.0) - 2020-03-12

### Merged

- Add emu-not-ref [`#176`](https://github.com/bterlson/ecmarkup/pull/176)
- make typescript-eslint dependencies dev-only [`#174`](https://github.com/bterlson/ecmarkup/pull/174)

## [v3.18.3](https://github.com/bterlson/ecmarkup/compare/v3.18.2...v3.18.3) - 2020-02-28

### Commits

- [Fix] `let` this TS override hack be a var [`8776702`](https://github.com/bterlson/ecmarkup/commit/877670224fbbfca5b327e9feb77a6349ea7a9bc5)

## [v3.18.2](https://github.com/bterlson/ecmarkup/compare/v3.18.1...v3.18.2) - 2020-02-28

### Commits

- [Fix] use `var` for this TS override [`dbbd716`](https://github.com/bterlson/ecmarkup/commit/dbbd716c53e62b7fd2edec8ec65c696c2d93dbf7)

## [v3.18.1](https://github.com/bterlson/ecmarkup/compare/v3.18.0...v3.18.1) - 2020-02-28

### Commits

- [Dev Deps] update `typescript` [`9796868`](https://github.com/bterlson/ecmarkup/commit/9796868108456115cbbc60e97903cf80f0c96503)
- [meta] make sure the ecmarkup bin is executable [`21fe016`](https://github.com/bterlson/ecmarkup/commit/21fe01648100e687faa42cd7015eabaee6446ba4)

## [v3.18.0](https://github.com/bterlson/ecmarkup/compare/v3.17.0...v3.18.0) - 2020-02-28

### Merged

- [New] Add CLI option ecma-262-biblio. [`#169`](https://github.com/bterlson/ecmarkup/pull/169)
- Update es6biblio.json (2020-01-09). [`#167`](https://github.com/bterlson/ecmarkup/pull/167)

### Fixed

- fix autolinking grammar flags [`#1836`](https://github.com/tc39/ecma262/issues/1836)

### Commits

- [meta] fix, enforce, update eslint; lint typescript (#171) [`a08ef3d`](https://github.com/bterlson/ecmarkup/commit/a08ef3dbe0a6cf43837554a7c3fac75b3865ba13)
- [Refactor] remove unused variables, add missing semicolons, remove extra whitespace [`2230534`](https://github.com/bterlson/ecmarkup/commit/2230534fced39019a6337be477043a5e568f4520)
- Rebaseline tests. [`7da73ad`](https://github.com/bterlson/ecmarkup/commit/7da73ad92adfe1dcf94dfa5663060423c711edad)
- Remove obsolete file. [`6b3489e`](https://github.com/bterlson/ecmarkup/commit/6b3489e9277fb030f6fd2ce53ad18599fcfbedfa)
- [meta] create LICENSE file [`ec2dacd`](https://github.com/bterlson/ecmarkup/commit/ec2dacd99b6057895bf383274c7a3c47e4869f84)
- Switch to true-by-default flag. [`12d95e5`](https://github.com/bterlson/ecmarkup/commit/12d95e56ffcbc7020e44851095c925e7607d356d)
- Add CLI option omit-ecma262biblio. [`4d132c7`](https://github.com/bterlson/ecmarkup/commit/4d132c760870bc10fbc6f66c3847c49d882814ab)
- Don't use hasOwnProperty for options. [`b235a70`](https://github.com/bterlson/ecmarkup/commit/b235a700d1a9c37b14c4d20ed922ab04bf1329f0)
- es6biblio → ecma262biblio [`06d718e`](https://github.com/bterlson/ecmarkup/commit/06d718ef0580d9464796d35a79c35e9524a27632)

## [v3.17.0](https://github.com/bterlson/ecmarkup/compare/v3.16.0...v3.17.0) - 2020-01-17

### Merged

- Perform an initial search when the box is used before event registration [`#153`](https://github.com/bterlson/ecmarkup/pull/153)
- Make the hover tooltip dismissable [`#154`](https://github.com/bterlson/ecmarkup/pull/154)
- Render identical margins for prose tokens and nonterminals [`#149`](https://github.com/bterlson/ecmarkup/pull/149)

### Commits

- [meta] add `auto-changelog` [`e12ad4e`](https://github.com/bterlson/ecmarkup/commit/e12ad4efbfe2e72c9501fe80260f7f087b9b0883)
- [meta] add `safe-publish-latest` [`7e56f00`](https://github.com/bterlson/ecmarkup/commit/7e56f00cb230b2df0fd6f79a8938b1eb60d6badb)
- [meta] remove all control-M characters and restore proper newlines [`bcefed9`](https://github.com/bterlson/ecmarkup/commit/bcefed9480752993f8773d9ba2f2b19eb8d92345)
- [Deps] update `bluebird`, `chalk`, `grammarkdown`, `he`, `highlight.js`, `html-escape`, `js-yaml`, `prex` [`82e2dc0`](https://github.com/bterlson/ecmarkup/commit/82e2dc0d48930757c0a287aa345f9da1ab4ca0f0)
- [Test] fix update-baselines script; update baselines; fix tests [`28b12fb`](https://github.com/bterlson/ecmarkup/commit/28b12fb08b4b8e0e409032542e259bfeebc2201f)
- [Dev Deps] update `typescript`, `diff`, DT types [`46cecb3`](https://github.com/bterlson/ecmarkup/commit/46cecb39ddf0d0b87023831dd0d6fd37d5b68afc)
- Make proposal shortname a link to its location [`b92f007`](https://github.com/bterlson/ecmarkup/commit/b92f0079e993f3ba79a717f7e40fcab5b43a2f1f)
- [Test] fix travis.yml [`ab50144`](https://github.com/bterlson/ecmarkup/commit/ab5014435e2d0b5acdcaa02dd24c10ce876f9dd8)
- Insert a selectable space between heading number and text [`7d6d68b`](https://github.com/bterlson/ecmarkup/commit/7d6d68baa038932f079a09dbc122c678bb95041c)
- Document oldids [`59ee7cb`](https://github.com/bterlson/ecmarkup/commit/59ee7cb28068b7152e3f46669cd7a6231808e951)
- Remove the rule that suppresses the display of emu-mods [`0c1a068`](https://github.com/bterlson/ecmarkup/commit/0c1a0689724e8e30d1824d65a89b41b12644242b)
- Make emu-production margins consistent. [`0180bd1`](https://github.com/bterlson/ecmarkup/commit/0180bd1dc913d4c3ab1f2e35838f503a7316939e)

## [v3.16.0](https://github.com/bterlson/ecmarkup/compare/v3.15.0...v3.16.0) - 2018-06-13

## [v3.15.0](https://github.com/bterlson/ecmarkup/compare/v3.14.4...v3.15.0) - 2018-06-13

### Merged

- Switch to Grammar.convert and sync code paths [`#145`](https://github.com/bterlson/ecmarkup/pull/145)
- Fix ecmarkup types [`#144`](https://github.com/bterlson/ecmarkup/pull/144)

### Commits

- Update a million deps, fix various audit issues, etc. [`d3742a1`](https://github.com/bterlson/ecmarkup/commit/d3742a10ff05dc2ba7789f9bdc62e52402705e1d)
- Update to gmd@2.0.11 [`b5320f8`](https://github.com/bterlson/ecmarkup/commit/b5320f8c55a0b134f2dbf2537926d15ead76a464)

## [v3.14.4](https://github.com/bterlson/ecmarkup/compare/v3.14.3...v3.14.4) - 2018-05-24

### Commits

- Fix jsdom version specifier [`42a63e6`](https://github.com/bterlson/ecmarkup/commit/42a63e67986a9e64bb8ee2000163e1312e7d16ec)

## [v3.14.3](https://github.com/bterlson/ecmarkup/compare/v3.14.2...v3.14.3) - 2018-05-24

### Commits

- Pin jsdom to 11.10 (prior to performance regression) [`721d1b2`](https://github.com/bterlson/ecmarkup/commit/721d1b2491d0d18c451c18ca2c69afafc5e989fb)

## [v3.14.2](https://github.com/bterlson/ecmarkup/compare/v3.14.1...v3.14.2) - 2018-05-24

### Commits

- Fix types [`33451fb`](https://github.com/bterlson/ecmarkup/commit/33451fb7672238e3a9c1e95a7293d304812b67d6)

## [v3.14.1](https://github.com/bterlson/ecmarkup/compare/v3.14.0...v3.14.1) - 2018-05-22

### Fixed

- Update grammarkdown, fixes #143. [`#143`](https://github.com/bterlson/ecmarkup/issues/143)

## [v3.14.0](https://github.com/bterlson/ecmarkup/compare/v3.13.0...v3.14.0) - 2018-05-11

### Merged

- Upgrade to grammarkdown 2.0 [`#142`](https://github.com/bterlson/ecmarkup/pull/142)
- Fixes the 'detecting duplicate ids' tests on Windows [`#141`](https://github.com/bterlson/ecmarkup/pull/141)
- Detect and warn when duplicate ids exist and --verbose flag is present. Fixes gh-138 [`#139`](https://github.com/bterlson/ecmarkup/pull/139)
- Allow custom copyright boilerplates. (Enables use for non-Ecma specs) [`#137`](https://github.com/bterlson/ecmarkup/pull/137)
- Hide #menu-toggle for print styles [`#134`](https://github.com/bterlson/ecmarkup/pull/134)

### Commits

- Update to grammarkdown 2, difftool support for baselines [`34c7120`](https://github.com/bterlson/ecmarkup/commit/34c7120cb16feb7324c39fc519ca423fef16855a)
- Update to grammarkdown@2.0.6 [`94479bc`](https://github.com/bterlson/ecmarkup/commit/94479bc64061ece0a1625aa2780270b47eeecd37)

## [v3.13.0](https://github.com/bterlson/ecmarkup/compare/v3.12.0...v3.13.0) - 2018-02-26

### Merged

- Use HTTPS and no-www URLs in boilerplate/*.html [`#130`](https://github.com/bterlson/ecmarkup/pull/130)
- 	Update emu-biblio documentation [`#124`](https://github.com/bterlson/ecmarkup/pull/124)

### Fixed

- Update emu-biblio documentation [`#123`](https://github.com/bterlson/ecmarkup/issues/123)
- Fix typescript compilation [`#120`](https://github.com/bterlson/ecmarkup/issues/120)

### Commits

- Update node typings [`48347ab`](https://github.com/bterlson/ecmarkup/commit/48347ab8e1a0a0ffd44fab667c91f43dbb325ca8)
- Fix bug with searching when notes have ids [`019bfb9`](https://github.com/bterlson/ecmarkup/commit/019bfb9471f0a75ed271ffd04eec08dd25b6b6bb)
- update typescript [`81738f1`](https://github.com/bterlson/ecmarkup/commit/81738f11065c59c824b79a7c465e6acd11d88178)

## [v3.12.0](https://github.com/bterlson/ecmarkup/compare/v3.11.5...v3.12.0) - 2017-08-21

### Commits

- Implement oldids on all elements [`43d1fe9`](https://github.com/bterlson/ecmarkup/commit/43d1fe970c7a96084d79bc32e2eeb188214b22b5)
- remove some parameters from Clause constructor [`4ab733c`](https://github.com/bterlson/ecmarkup/commit/4ab733c933407cac0161ef82c40a5914179125b6)

## [v3.11.5](https://github.com/bterlson/ecmarkup/compare/v3.11.4...v3.11.5) - 2017-07-24

### Commits

- Generate draft signifier in header when status is `draft` [`0d079b2`](https://github.com/bterlson/ecmarkup/commit/0d079b29c346e1ee9e2ecdcadb67412a856e5f0f)

## [v3.11.4](https://github.com/bterlson/ecmarkup/compare/v3.11.3...v3.11.4) - 2017-06-13

### Merged

- highlight full-row table insertions/deletions as such [`#115`](https://github.com/bterlson/ecmarkup/pull/115)

## [v3.11.3](https://github.com/bterlson/ecmarkup/compare/v3.11.2...v3.11.3) - 2017-06-13

### Merged

- override padding-left and margin-left in inline emu-production [`#113`](https://github.com/bterlson/ecmarkup/pull/113)

### Commits

- Update TypeScript, JSDom [`9682e80`](https://github.com/bterlson/ecmarkup/commit/9682e807d337e35ecd8c2a1c88c09927609980ca)
- Properly encode all HTML entities before calling grammarkdown [`d51dd70`](https://github.com/bterlson/ecmarkup/commit/d51dd70ced335764992565a0762a32b0e0bfff43)
- highlight full-row table insertions/deletions as such [`e2d538e`](https://github.com/bterlson/ecmarkup/commit/e2d538e225149bbe6ef5123d62bcab20a539ef35)

## [v3.11.2](https://github.com/bterlson/ecmarkup/compare/v3.11.1...v3.11.2) - 2017-01-17

### Commits

- Fix mistaken window.event reference that broke toc scrolling in some cases [`5bc7f2f`](https://github.com/bterlson/ecmarkup/commit/5bc7f2febcdd166c66f2aca77be1862abd31842e)

## [v3.11.1](https://github.com/bterlson/ecmarkup/compare/v3.11.0...v3.11.1) - 2017-01-09

### Commits

- Small style tweaks [`556171c`](https://github.com/bterlson/ecmarkup/commit/556171cabb447545f71808ae4a5e719a9986e472)
- Don't dismiss toolbox pop when moving upward even if you hover over a different id on your way to the toolbox [`508bfa4`](https://github.com/bterlson/ecmarkup/commit/508bfa4d458202b697d68186f40ab29822ef0fc0)

## [v3.11.0](https://github.com/bterlson/ecmarkup/compare/3.10.0...v3.11.0) - 2016-12-30

### Commits

- Allow emu-eqn to have an id, link appropriately. [`fd97532`](https://github.com/bterlson/ecmarkup/commit/fd97532770aa1035e840a96d93b967b205188631)
- Don't scroll to reveal tool pop in some bad situations [`903888f`](https://github.com/bterlson/ecmarkup/commit/903888fc5eb182d96fc67648e412b00fbc1d39ea)
- Link to parent reference in reference window [`014447c`](https://github.com/bterlson/ecmarkup/commit/014447c0a659494b5542dbb7d4ba2a389e5262dc)

## [3.10.0](https://github.com/bterlson/ecmarkup/compare/3.9.2...3.10.0) - 2016-12-28

### Commits

- Implement find references [`fd2baf2`](https://github.com/bterlson/ecmarkup/commit/fd2baf27d27b49419624806a5b2850fd20764162)
- v3.9.3: Don't give top margin to first headers in document [`6ac739f`](https://github.com/bterlson/ecmarkup/commit/6ac739f68c616426d9bcc5932f6c8104dabb1b7d)
- v3.9.4: Stop the pin link from navigating and losing your place [`b5da67a`](https://github.com/bterlson/ecmarkup/commit/b5da67a6065952c79cd10afa798e139d568f7a0d)
- Remove unintentional exuberant body copy [`63532b2`](https://github.com/bterlson/ecmarkup/commit/63532b215a91dbdbb9cc7cf12e536bc5fe976dab)

## [3.9.2](https://github.com/bterlson/ecmarkup/compare/3.9.1...3.9.2) - 2016-12-19

### Commits

- v3.9.2: Don't emit ECMA-style title boilerplate unless stage or version are specified. [`5e2f57c`](https://github.com/bterlson/ecmarkup/commit/5e2f57c24869b02ed099d0f3f29338da7d3b78fe)

## [3.9.1](https://github.com/bterlson/ecmarkup/compare/3.9.0...3.9.1) - 2016-12-19

### Commits

- v3.9.1: fix note styles [`9903196`](https://github.com/bterlson/ecmarkup/commit/9903196ae0140b9e4e4c1bf8b0f76cfeeb84173e)

## [3.9.0](https://github.com/bterlson/ecmarkup/compare/3.8.0...3.9.0) - 2016-12-19

### Fixed

- Update 'es6' biblio to latest es2017 spec draft (fixes #107). [`#107`](https://github.com/bterlson/ecmarkup/issues/107)
- Exit with non-zero exit code on failed builds (fixes #94). [`#94`](https://github.com/bterlson/ecmarkup/issues/94)
- Replace space after !/? with &nbsp; (fixes #102). [`#102`](https://github.com/bterlson/ecmarkup/issues/102)

### Commits

- Add editor's note. Make note title a link to its anchor. [`f58cbab`](https://github.com/bterlson/ecmarkup/commit/f58cbab215b9332cb66ab0d22db6ef2c5085969d)

## [3.8.0](https://github.com/bterlson/ecmarkup/compare/3.2.6...3.8.0) - 2016-12-19

### Merged

- Fix CI build [`#101`](https://github.com/bterlson/ecmarkup/pull/101)
- Async Functions, Cancellation, and updated Grammarkdown [`#100`](https://github.com/bterlson/ecmarkup/pull/100)
- Migrate ecmarkup to TypeScript [`#99`](https://github.com/bterlson/ecmarkup/pull/99)
- Unescape ampersands [`#98`](https://github.com/bterlson/ecmarkup/pull/98)

### Commits

- TypeScript migration [`3a3e810`](https://github.com/bterlson/ecmarkup/commit/3a3e8100a16a29dd9b6d01172223dde564071b7d)
- Migrated cli, removed lib folder [`c966f5b`](https://github.com/bterlson/ecmarkup/commit/c966f5b9a444850e3bfc736cf50c9091ff4ef33d)
- Improve perf by walking the DOM once... [`f47d658`](https://github.com/bterlson/ecmarkup/commit/f47d6587f3768d253abbdad88a990d86244a4952)
- New interface: better search, pinned clauses, toc reveal, etc. [`c38f0c4`](https://github.com/bterlson/ecmarkup/commit/c38f0c45bf2ad23a654f8f82846a48af5d5d3fe5)
- Async, cancellation, updated gmd. [`5fe0318`](https://github.com/bterlson/ecmarkup/commit/5fe0318db246708bc35099e4bd6d3f1ed70cf546)
- v3.8.0: Inline css and js by default [`8ecb986`](https://github.com/bterlson/ecmarkup/commit/8ecb9863adedbbcdd1ea307216603ec4d3d7a37c)
- v3.7.2 - fix back button [`1188f5d`](https://github.com/bterlson/ecmarkup/commit/1188f5d193748d82cba4ef939be557e4bb9b5fcc)
- Add missing files from previous commit [`3657c43`](https://github.com/bterlson/ecmarkup/commit/3657c430c628da0b5d10e5439b0bf1a7ff45ccca)
- Ensure a clean build before publish. [`007f34f`](https://github.com/bterlson/ecmarkup/commit/007f34f532c9d6dc7d78b7cfdc2cc164dd270dcb)
- Allow ins/del inside emu-grammar blocks [`8ef9866`](https://github.com/bterlson/ecmarkup/commit/8ef98668b53f68ef4e23d0b9454357306acce006)
- Cleaned up public exports. [`02f2db0`](https://github.com/bterlson/ecmarkup/commit/02f2db058adfd26b276e4be5241c2fc575d50988)
- v3.7.0 - pins now persist across sessions [`8b1217b`](https://github.com/bterlson/ecmarkup/commit/8b1217b51b38a1c95974833bfae8ffa5abb3e055)
- Fix superfluous space before non-numbered clauses (eg. intros) [`958718b`](https://github.com/bterlson/ecmarkup/commit/958718b079065a16b1a4d1c6f2cae64349a33084)
- Remove extraneous internal comments, added settings.json [`3d6c8b9`](https://github.com/bterlson/ecmarkup/commit/3d6c8b92e0da09d30753322e8375e79bef6bf741)
- Fix bug with lookaheads [`75ab669`](https://github.com/bterlson/ecmarkup/commit/75ab669f544c772cd74d6dbf0a77d4fcea7710ae)
- Fix pinning using clause button [`86a6911`](https://github.com/bterlson/ecmarkup/commit/86a6911ddbcde7d586148384ff7f4590db7deafe)
- v3.7.1: fix up ins/del css styles in grammars [`3711f83`](https://github.com/bterlson/ecmarkup/commit/3711f83d99b99d9f874eeed7de28d30e2fabd721)
- Add emu-eqn.inline styles [`cf33385`](https://github.com/bterlson/ecmarkup/commit/cf33385dec4521b263ba3c80720e0f81c909f373)
- Remove arrow functions from menu.js [`8b4b38c`](https://github.com/bterlson/ecmarkup/commit/8b4b38c8dac3140cf2ccae8586afcac890d83e1c)
- JSDom is not a dev dependency [`6f7ec5c`](https://github.com/bterlson/ecmarkup/commit/6f7ec5ce49c418335cbb4d455b6102c46c5fe35c)
- test(grammar): ensure ampersands are escaped correctly [`e117de5`](https://github.com/bterlson/ecmarkup/commit/e117de5960b5ad2aeb1c2c56bc9c431344e64fc7)
- Update grammarkdown for new grammar param syntax [`62651c5`](https://github.com/bterlson/ecmarkup/commit/62651c521a23009eb1130a10c6226de188a47c3d)
- Added lib to .gitignore [`174fbe9`](https://github.com/bterlson/ecmarkup/commit/174fbe937de280188d60f77c557aa3cadd6b7562)
- Update test baselines [`56b83e1`](https://github.com/bterlson/ecmarkup/commit/56b83e16f07a4f52a0b9d668cc7b4a7168d729c0)
- Add rationale to awaiter.ts [`662f3a2`](https://github.com/bterlson/ecmarkup/commit/662f3a2494485c05ad679969635d910a08c23a6c)
- fix(grammar): unescape ampersands [`2b8bd6f`](https://github.com/bterlson/ecmarkup/commit/2b8bd6fac6844183eafc85cab1d3e7e657b2320c)
- Perf fix for Chrome: will-change: transform on body [`e679ffa`](https://github.com/bterlson/ecmarkup/commit/e679ffa978e18470cb93572a8e02906a66d6c3a2)

## [3.2.6](https://github.com/bterlson/ecmarkup/compare/3.2.4...3.2.6) - 2016-05-09

### Fixed

- Allow extra spaces and linebreaks in DFN autolinking [`#93`](https://github.com/bterlson/ecmarkup/issues/93)
- Update print styles for ECMA PDF requirements (fixes #89) [`#89`](https://github.com/bterlson/ecmarkup/issues/89)

### Commits

- Fix autolinking test typo [`36784ac`](https://github.com/bterlson/ecmarkup/commit/36784ac8025925b48a9199a77031526734f1625f)

## [3.2.4](https://github.com/bterlson/ecmarkup/compare/3.2.3...3.2.4) - 2016-05-09

### Fixed

- Fix autolinking outside clauses. [`#92`](https://github.com/bterlson/ecmarkup/issues/92) [`#91`](https://github.com/bterlson/ecmarkup/issues/91)

### Commits

- Fix prod references in new JSDom" [`57310ed`](https://github.com/bterlson/ecmarkup/commit/57310ed488bacabf6a2e003dc259391e260b8443)

## [3.2.3](https://github.com/bterlson/ecmarkup/compare/3.2.2...3.2.3) - 2016-05-06

### Merged

- Update jsdom to 9.0.0 [`#90`](https://github.com/bterlson/ecmarkup/pull/90)

## [3.2.2](https://github.com/bterlson/ecmarkup/compare/3.2.1...3.2.2) - 2016-04-29

### Fixed

- Don't autolink inside a tags (fixes #88) [`#88`](https://github.com/bterlson/ecmarkup/issues/88)

## [3.2.1](https://github.com/bterlson/ecmarkup/compare/3.2.0...3.2.1) - 2016-04-21

### Commits

- Go back to using textContent for pre+code to avoid over-escaping. [`29712f5`](https://github.com/bterlson/ecmarkup/commit/29712f594d81882e86f3a4c1bc07387383bd05d7)

## [3.2.0](https://github.com/bterlson/ecmarkup/compare/3.1.2...3.2.0) - 2016-04-21

### Merged

- fixes #81: support ins/del diff styles for table rows [`#82`](https://github.com/bterlson/ecmarkup/pull/82)

### Fixed

- Normalize indentation and whitespace in pre+code blocks (fixes #83) [`#83`](https://github.com/bterlson/ecmarkup/issues/83)
- Don't autolink inside vars (fixes #85) [`#85`](https://github.com/bterlson/ecmarkup/issues/85)
- Merge pull request #82 from michaelficarra/patch-1 [`#81`](https://github.com/bterlson/ecmarkup/issues/81)

### Commits

- Fix travis build. [`82d83a2`](https://github.com/bterlson/ecmarkup/commit/82d83a2712f5757fe5864a612eb0f973bd5ca708)

## [3.1.2](https://github.com/bterlson/ecmarkup/compare/3.1.1...3.1.2) - 2016-04-20

### Merged

- Including trailing slash so it doesn't redirect to HTTP [`#80`](https://github.com/bterlson/ecmarkup/pull/80)

### Fixed

- fixes #81: support ins/del diff styles for table rows [`#81`](https://github.com/bterlson/ecmarkup/issues/81)

### Commits

- do not apply styles to &lt;ins&gt; within &lt;tr class="ins"&gt;&lt;td&gt; [`bb38d5f`](https://github.com/bterlson/ecmarkup/commit/bb38d5f1ab2c2e4e55c6f170d0d6417911c518f4)
- support ins/del diff styles for lists [`bbac6e8`](https://github.com/bterlson/ecmarkup/commit/bbac6e8370832bdad048ef0df7c7d04ce7ed5f45)
- Don't indent productions [`9928a66`](https://github.com/bterlson/ecmarkup/commit/9928a66e2218e1cbbe32416aeb11698b2cd1d3ad)

## [3.1.1](https://github.com/bterlson/ecmarkup/compare/3.1.0...3.1.1) - 2016-02-26

### Commits

- Update grammarkdown to 1.0.1. [`77e7fc4`](https://github.com/bterlson/ecmarkup/commit/77e7fc4fe0bdced190228758ec57d9b88d76b303)

## [3.1.0](https://github.com/bterlson/ecmarkup/compare/3.0.1...3.1.0) - 2016-02-20

### Merged

- Missing trailing slash in spec url [`#79`](https://github.com/bterlson/ecmarkup/pull/79)

### Commits

- Add namespace attribute to clauses. [`55461f5`](https://github.com/bterlson/ecmarkup/commit/55461f5be839ef1c5d8f4e5c3ff3d55e5cc9af77)
- Update baselines after ES6 document URL changed. [`f012eb6`](https://github.com/bterlson/ecmarkup/commit/f012eb611108892c5ff182115705aedf185b25ee)

## [3.0.1](https://github.com/bterlson/ecmarkup/compare/3.0.0...3.0.1) - 2016-01-21

### Commits

- Fix lint errors. [`7a50a4e`](https://github.com/bterlson/ecmarkup/commit/7a50a4e37221330c890e41e5230a91becc0b2577)
- Update docs with new biblio [`dfe8c3f`](https://github.com/bterlson/ecmarkup/commit/dfe8c3f5f0d856ee151a457e8d021e0d343fb542)
- Fix search links to ops. [`05b2839`](https://github.com/bterlson/ecmarkup/commit/05b28398fc8156a7bd67c0a72558f72a3468641a)

## [3.0.0](https://github.com/bterlson/ecmarkup/compare/2.8.0...3.0.0) - 2016-01-20

### Merged

- skip over &lt;ins&gt; and &lt;del&gt; parents in utils.shouldInline [`#78`](https://github.com/bterlson/ecmarkup/pull/78)

### Fixed

- New biblio format. Dfns can link to ids. Closes #72, fixes #68." [`#72`](https://github.com/bterlson/ecmarkup/issues/72) [`#68`](https://github.com/bterlson/ecmarkup/issues/68)
- New algorithm for auto-linking. Fixes #67. [`#67`](https://github.com/bterlson/ecmarkup/issues/67)

### Commits

- Use more arrow functions and classes [`917bfba`](https://github.com/bterlson/ecmarkup/commit/917bfba6fb6cf21d06a1324ce48b03fb31962fe4)
- Allow inline emu-eqns using a similar scheme as productions. [`4800261`](https://github.com/bterlson/ecmarkup/commit/4800261f5a76f938422a01f92a1245ad1ba88f63)
- Update biblio, fix search. [`5b301be`](https://github.com/bterlson/ecmarkup/commit/5b301bedf17c8a2bbdc424da699bee80bb14d293)
- Revert "Escape input to gmd" [`7e3acad`](https://github.com/bterlson/ecmarkup/commit/7e3acad2a247af271c5cf3196b30ded8d5818f34)
- Escape input to gmd [`1e65aa1`](https://github.com/bterlson/ecmarkup/commit/1e65aa16c49cf4cdf5477f302ec513129c4b53cf)
- Update dependencies [`33bfd96`](https://github.com/bterlson/ecmarkup/commit/33bfd96d7c4508a34fce280043c7bd98815e7d38)
- Fix bug with lexical production geq generation [`0c0cf22`](https://github.com/bterlson/ecmarkup/commit/0c0cf22d4f2ff50bb580a21a4d7dcb8359793518)
- Clean up package.json [`9d97d99`](https://github.com/bterlson/ecmarkup/commit/9d97d997e0a599c97644b4fb4a34d32b39b0200e)
- Auto-link symbolic Dfns appropriately [`cb45271`](https://github.com/bterlson/ecmarkup/commit/cb45271c11b26dbe55074ad9e94862e0dbe773a0)
- Update gmd to 0.2.0 [`2dde8ef`](https://github.com/bterlson/ecmarkup/commit/2dde8ef828385d5988fe87e62083fe54795383a1)
- Version 3.0.0 [`ca79e23`](https://github.com/bterlson/ecmarkup/commit/ca79e23f5b7f32564330abd29e76ff89740f4b94)

## [2.8.0](https://github.com/bterlson/ecmarkup/compare/2.7.0...2.8.0) - 2015-10-21

### Merged

- Fix all-inline rendering of productions in Note in 11.9.1 [`#62`](https://github.com/bterlson/ecmarkup/pull/62)

### Fixed

- Remove overflow-x: hidden from css (fixes #63) [`#63`](https://github.com/bterlson/ecmarkup/issues/63)

### Commits

- Add quick search [`03d1c14`](https://github.com/bterlson/ecmarkup/commit/03d1c1465eed03258b5f59b07b51ef4e04b8aee2)
- Add find local references [`94158c5`](https://github.com/bterlson/ecmarkup/commit/94158c5f30c4431670ed661c5ae2a1a44624f203)
- Build emu-nt elements not nested in emu-productions [`13e0304`](https://github.com/bterlson/ecmarkup/commit/13e030402675df39b429c02444261bae079abdca)
- Improvements to collapsed import styles [`f18063e`](https://github.com/bterlson/ecmarkup/commit/f18063ef9febfcc74b10f869100103a19922ef60)
- Version 2.8.0 [`4c3dd0b`](https://github.com/bterlson/ecmarkup/commit/4c3dd0b5077df45fde7bc4d2566dbf974c6dea8a)
- Update README.md [`8aa2764`](https://github.com/bterlson/ecmarkup/commit/8aa276491b31f02cdd6d9338d1611c43e1ea0b6d)
- Version 2.7.2 [`002cbea`](https://github.com/bterlson/ecmarkup/commit/002cbea2af740a7336d0429cf9bc07dd55fc4964)
- Version 2.7.1 [`c245cbb`](https://github.com/bterlson/ecmarkup/commit/c245cbbd3a4b77e656c16e28bd626de1bf584171)
- Version 2.7.0 [`49a4302`](https://github.com/bterlson/ecmarkup/commit/49a4302c81bf5d1edf1c3ebd7559acd5b00d5c3a)

## [2.7.0](https://github.com/bterlson/ecmarkup/compare/2.6.0...2.7.0) - 2015-10-14

### Commits

- Syntax highlight var elements [`22a1f5a`](https://github.com/bterlson/ecmarkup/commit/22a1f5ad790d5a37b6e62ee5f40845a4699cde73)
- Version 2.6.1 [`3350b33`](https://github.com/bterlson/ecmarkup/commit/3350b33370c3e59ffa7545bfed5ef8cbe1f144e4)
- Autolinked abstract ops can now start lowercase. [`c170736`](https://github.com/bterlson/ecmarkup/commit/c170736d5c7ad694d46e1d278d4b919455e9ff18)

## [2.6.0](https://github.com/bterlson/ecmarkup/compare/2.5.0...2.6.0) - 2015-10-12

### Fixed

- Fix incorrect verbose log for writing JS file (fixes #59). [`#59`](https://github.com/bterlson/ecmarkup/issues/59)
- Ensure charset is emitted before title (and other things in your head) (fixes #55) [`#55`](https://github.com/bterlson/ecmarkup/issues/55)
- Property document emd pipe semantics (fixes #56) [`#56`](https://github.com/bterlson/ecmarkup/issues/56)
- Fix copyright boilerplate when no annexes are present (fixes #53) [`#53`](https://github.com/bterlson/ecmarkup/issues/53)

### Commits

- Separate inline and collapsed into separate things [`d9b88b5`](https://github.com/bterlson/ecmarkup/commit/d9b88b5b7e2380c8a330495186073bd796b79575)
- More reliable way to find the last clause or annex [`89510a8`](https://github.com/bterlson/ecmarkup/commit/89510a8353f134226f8905b3be3159fb363bd6b2)
- Add address boilerplate generation for standards and drafts [`eef3bce`](https://github.com/bterlson/ecmarkup/commit/eef3bceef87429a726b565ab8abb9b3807956296)
- Fix bug loading boilerplate files [`7c9e391`](https://github.com/bterlson/ecmarkup/commit/7c9e391d7f631803044dc3032e914e63a62c5580)
- Version 2.6 [`c8432bd`](https://github.com/bterlson/ecmarkup/commit/c8432bd1764da6d2defe967f4b70225ff326deb6)

## [2.5.0](https://github.com/bterlson/ecmarkup/compare/2.3.0...2.5.0) - 2015-09-28

### Merged

- Minor tweaks to document options table [`#52`](https://github.com/bterlson/ecmarkup/pull/52)

### Commits

- Add copyright boilerplate generation for proposals [`818e2c9`](https://github.com/bterlson/ecmarkup/commit/818e2c937d069b5602db3a2e823892cc29ff3665)
- Add copyright boilerplate generation for standards and drafts [`cba78a9`](https://github.com/bterlson/ecmarkup/commit/cba78a959bb58268e60e99eb5bc5acfd9fde3189)

## [2.3.0](https://github.com/bterlson/ecmarkup/compare/2.1.0...2.3.0) - 2015-09-26

### Merged

- Update emu-t and emu-nt for line breaks [`#51`](https://github.com/bterlson/ecmarkup/pull/51)
- more natural rotation of toggles in TOC [`#48`](https://github.com/bterlson/ecmarkup/pull/48)

### Commits

- Add many document options. [`9db33ae`](https://github.com/bterlson/ecmarkup/commit/9db33ae48daa49df2a6dc36a46599d345f72a53a)
- Add emu-caption element [`94059cc`](https://github.com/bterlson/ecmarkup/commit/94059ccddc198dfad50deed6c055a598f34cf00a)
- Updated docs [`45d821b`](https://github.com/bterlson/ecmarkup/commit/45d821b3e06d836f80ae3d3c6a457597a8e4d39e)
- Add charset of utf-8 to output [`ce5fcdd`](https://github.com/bterlson/ecmarkup/commit/ce5fcdd77cda052fdadc93b0f6bf12f69ecf2f98)
- Fix bug with autolinking some abstract ops [`cfd6365`](https://github.com/bterlson/ecmarkup/commit/cfd63651bd98d7165ce288518eb8162d5566b7c2)
- Update documentation [`6fc34ff`](https://github.com/bterlson/ecmarkup/commit/6fc34ffcff19327f455bb786225be36531cbbd4e)
- Update baselines based on latest emd [`86e1f68`](https://github.com/bterlson/ecmarkup/commit/86e1f684448bd216c84e5bfdd5e6f04e51799d8d)
- Don't autolink inside [['s, %%'s, or as part of a dotted identifier [`9c90050`](https://github.com/bterlson/ecmarkup/commit/9c9005016381d5c71da0af7f34e4c75a2adb61ab)
- Update docs with location [`fec6d4e`](https://github.com/bterlson/ecmarkup/commit/fec6d4ecd6d2a220badc88f4202701b020238485)

## [2.1.0](https://github.com/bterlson/ecmarkup/compare/2.0.1...2.1.0) - 2015-08-27

### Commits

- Add --watch option [`99a9ab8`](https://github.com/bterlson/ecmarkup/commit/99a9ab8b86b3a6ef965d97cca55ec82dfaad694f)
- Fix escaping during autolinking [`4f8e9b0`](https://github.com/bterlson/ecmarkup/commit/4f8e9b0e9d934308bb96b373684ed0c916fb9460)
- Allow setting inline attribute on emu-grammar [`689bd29`](https://github.com/bterlson/ecmarkup/commit/689bd295d14eb1e0432ece4262e5e17bcc89db3e)
- Use proper command line arguments to emit CSS and JS [`97e9347`](https://github.com/bterlson/ecmarkup/commit/97e9347b98ae9062de54d6b7b4ea2cdbadb60fad)
- Version 2.0.3 [`f0e2dfa`](https://github.com/bterlson/ecmarkup/commit/f0e2dfaa346e509cd4f0fc289e269c19947558eb)
- Add margin to emu-note [`10a263f`](https://github.com/bterlson/ecmarkup/commit/10a263f9cd81fbbf884acedf3b3bfd9ecfdd7c2e)
- Update biblio [`4efdf20`](https://github.com/bterlson/ecmarkup/commit/4efdf20281c9d33d5ef9c6b7d0ada37dcd464c1e)
- Version 2.0.1 [`9619487`](https://github.com/bterlson/ecmarkup/commit/9619487cba233446e97115b4324255bdf292e1c9)

## [2.0.1](https://github.com/bterlson/ecmarkup/compare/2.0.0-beta5...2.0.1) - 2015-08-21

### Commits

- Make autolinks case sensitive. Don't autolink common terms. [`b42afff`](https://github.com/bterlson/ecmarkup/commit/b42afff8212f51811422a449befa2c6ba84e13e7)
- Styles: remove max-width on body [`8043cb9`](https://github.com/bterlson/ecmarkup/commit/8043cb917e9c08215bf0b6632d030ca8a46b0b5b)
- Fix case of import [`a0d8765`](https://github.com/bterlson/ecmarkup/commit/a0d8765b24c1fa5ba99efae30e58a5e887d2feea)
- Version 2.0.0 [`2a4476b`](https://github.com/bterlson/ecmarkup/commit/2a4476bec11c592e73f53c5ceb5e45c5c5076d72)
- Handle pre code blocks without a language class [`4394e35`](https://github.com/bterlson/ecmarkup/commit/4394e35d742b3d21fe8c3cd84451734bf210c6db)

## [2.0.0-beta5](https://github.com/bterlson/ecmarkup/compare/2.0.0-beta4...2.0.0-beta5) - 2015-08-21

### Commits

- Add new floating toc [`2a32b40`](https://github.com/bterlson/ecmarkup/commit/2a32b4080c15d02ecb4ccc3258bff0ad7f27b62c)
- Update docs [`6e0ea35`](https://github.com/bterlson/ecmarkup/commit/6e0ea3589e836f353b8f4fd582fc40572c124f54)

## [2.0.0-beta4](https://github.com/bterlson/ecmarkup/compare/2.0.0-beta3...2.0.0-beta4) - 2015-08-21

### Commits

- Add emu-figure and emu-table [`9f1b88a`](https://github.com/bterlson/ecmarkup/commit/9f1b88a1c2f61663efdee07c3aef5f9e51464156)
- Allow xrefing a note by id [`47280f4`](https://github.com/bterlson/ecmarkup/commit/47280f42d64e7c648b2921fbb2132072f1f65ab6)
- Add docs for figure and table [`6a49a19`](https://github.com/bterlson/ecmarkup/commit/6a49a1914c8ad46af08b8b763feaf7c97bb560fa)
- Xref to examples don't include clause name when it's in the same clause. [`acf7fed`](https://github.com/bterlson/ecmarkup/commit/acf7fedb0d5b8e53b433ae9342612639e5316a5c)
- Only create example biblio when an id is provided [`874e55d`](https://github.com/bterlson/ecmarkup/commit/874e55d1a3e4ce16cb699e6712f49478c30c9959)
- Version 2.0.0-beta3 [`6e12c14`](https://github.com/bterlson/ecmarkup/commit/6e12c14e7da8df27f3a2bc5337af8cde9c536faf)

## [2.0.0-beta3](https://github.com/bterlson/ecmarkup/compare/2.0.0-beta2...2.0.0-beta3) - 2015-08-19

### Commits

- Add emu-example [`22970e5`](https://github.com/bterlson/ecmarkup/commit/22970e5f479738ce0116a2f5cb37ba5ddf7e8e72)
- Process emd inside emu-eqn elements [`755a128`](https://github.com/bterlson/ecmarkup/commit/755a128c99deeeb09e810c616d23d5d47b1c9472)
- Add options to emit css and js files [`323a97e`](https://github.com/bterlson/ecmarkup/commit/323a97e0d688358bc2068b2424e355050a595214)
- Fix bug with highlighting code [`27bd1fc`](https://github.com/bterlson/ecmarkup/commit/27bd1fc05348c05c666da68888f1507b8bd598b0)
- Output results to stdout if no outfile is present [`84cfab5`](https://github.com/bterlson/ecmarkup/commit/84cfab5ef5501705a42be4d244e2d8299b690df1)

## [2.0.0-beta2](https://github.com/bterlson/ecmarkup/compare/2.0.0-beta1...2.0.0-beta2) - 2015-08-19

### Merged

- Link to latest Array.prototype.includes [`#37`](https://github.com/bterlson/ecmarkup/pull/37)

### Commits

- ES6ify and refactor. [`d192fbe`](https://github.com/bterlson/ecmarkup/commit/d192fbe11531136c193f7ba63ac44e79dc09ac5b)
- Eslint [`faef9d2`](https://github.com/bterlson/ecmarkup/commit/faef9d2b43a7c335a70929113a33a92c4ea2023c)
- Add emu-eqn [`bcf387a`](https://github.com/bterlson/ecmarkup/commit/bcf387a3a75d1d18176c5aded977c78ef9aa4c60)
- Remove unused file. [`7a9f0a1`](https://github.com/bterlson/ecmarkup/commit/7a9f0a127979ea4e0c9f838dc8d84c96c2a54a31)
- Update es6 biblio [`64ac505`](https://github.com/bterlson/ecmarkup/commit/64ac505aa829e4fb45ab2890adcd44ae25fab03f)

## 2.0.0-beta1 - 2015-08-13

### Merged

- Update elements.css to HTTPS link [`#26`](https://github.com/bterlson/ecmarkup/pull/26)
- Update to jsdom 4.x [`#13`](https://github.com/bterlson/ecmarkup/pull/13)
- :lipstick: bunch of semicolons [`#8`](https://github.com/bterlson/ecmarkup/pull/8)

### Fixed

- Imports now use custom emu-import element. Closes #32. [`#32`](https://github.com/bterlson/ecmarkup/issues/32)
- Remove aoid from emu-alg. Fixes #33. [`#33`](https://github.com/bterlson/ecmarkup/issues/33)
- Non-terminals can be optional. Fixes #18. [`#18`](https://github.com/bterlson/ecmarkup/issues/18)
- Update to jsdom 5.x [`#12`](https://github.com/bterlson/ecmarkup/issues/12)

### Commits

- initial commit [`f0d34ec`](https://github.com/bterlson/ecmarkup/commit/f0d34ec5ec33ab1bb9410c78c82ed5aa08c5e0e5)
- Auto-link terms and abstract ops [`4a0126f`](https://github.com/bterlson/ecmarkup/commit/4a0126ff59856810202e071cf94ad2265a4f2e5d)
- Add es6 biblio [`afbe759`](https://github.com/bterlson/ecmarkup/commit/afbe759197ca0a1eee39afe930468c4f6b610306)
- Biblio & xref fixes, new more awesome tests [`5fd0344`](https://github.com/bterlson/ecmarkup/commit/5fd034471e670ad5028a7d894db0569608a8e9fb)
- Updated es6 biblio [`10282e3`](https://github.com/bterlson/ecmarkup/commit/10282e3342a8efe013d8cacefc08b28c66f53aa5)
- test coverage for build [`f92352c`](https://github.com/bterlson/ecmarkup/commit/f92352c6b9e01ad0139168268924b118a6fc9034)
- Xref for productions and abstract ops [`19dd097`](https://github.com/bterlson/ecmarkup/commit/19dd097042930ef855b914a1419c83f98a8a7440)
- Add --biblio to optionally emit a biblio file [`55f6158`](https://github.com/bterlson/ecmarkup/commit/55f61585b220ffd1e1f6f78af4b4ab7f0992eec3)
- Add emu-prodref element [`d762aea`](https://github.com/bterlson/ecmarkup/commit/d762aea35c73c309703eb338d8597bc5596374cd)
- Don't emit empty emu-mod elems. Minor cleanup. [`35a01a7`](https://github.com/bterlson/ecmarkup/commit/35a01a70ab0ba5eb7643dfb42d5b5fc158055f94)
- Add emu-xref element. [`e43a174`](https://github.com/bterlson/ecmarkup/commit/e43a174497798d2b5d7ed6bb37cf365c8da6e8c6)
- Add support for metadata [`dd83624`](https://github.com/bterlson/ecmarkup/commit/dd836242869d2e5ba255078c3c94a85fdf8463bf)
- populate aoid with id if empty [`843fda6`](https://github.com/bterlson/ecmarkup/commit/843fda6890125523a394f4076c11cabed75ff0c2)
- Link to production definitions [`20070e5`](https://github.com/bterlson/ecmarkup/commit/20070e5b8092380cedd43e1e3a878d631767663f)
- Number notes when more than one is present in a clause [`fb628f1`](https://github.com/bterlson/ecmarkup/commit/fb628f1e47ce1bd65260ede3858d6f56669c77ed)
- Add anchor to headers for linking purposes [`d2a3e9f`](https://github.com/bterlson/ecmarkup/commit/d2a3e9f2264fed491cab3c63cf161b347de11211)
- Better emu-gann styling. [`18534c2`](https://github.com/bterlson/ecmarkup/commit/18534c247b3556615fd03d56337477f9cac8b6c9)
- Styles for block ins & del [`047bb3e`](https://github.com/bterlson/ecmarkup/commit/047bb3e422dfb046963b978d03b0b50f1ea51e0c)
- Add emu-syntax element. [`848aaad`](https://github.com/bterlson/ecmarkup/commit/848aaad4ea332a27af2c1fcdaaf85914ac47fdb5)
- aaid =&gt; aoid [`fc23399`](https://github.com/bterlson/ecmarkup/commit/fc23399a53a42fbfdca89194168bb5919cbaa616)
- setup travis [`4a7b3d7`](https://github.com/bterlson/ecmarkup/commit/4a7b3d7ef825db77cadd4fe8cdaa409e8501ed13)
- Better error reporting [`82fccec`](https://github.com/bterlson/ecmarkup/commit/82fccecabb621272fe124d616957a74c927ef73f)
- Tests for notes. [`1365d36`](https://github.com/bterlson/ecmarkup/commit/1365d36543f8c8afc39ca5917b8747a9f0cf1699)
- tests for algorithms [`ac6b0a4`](https://github.com/bterlson/ecmarkup/commit/ac6b0a458f71d487e05e93ab1b0d9146c7f4db89)
- Fix multiple imports at the same level in the document [`a708dac`](https://github.com/bterlson/ecmarkup/commit/a708dac55e2b5ff93b560dc25eb16caa73c2a77a)
- Update to latest Ecmarkdown [`3bafc81`](https://github.com/bterlson/ecmarkup/commit/3bafc8165307c6db126937c00ccd212702fbb539)
- Add list of custome elements to readme [`8a2d856`](https://github.com/bterlson/ecmarkup/commit/8a2d85653653f1eda7b54d8f6d8cc29ecff97933)
- Add toc configurability. Move imports. [`d14889e`](https://github.com/bterlson/ecmarkup/commit/d14889ebf9e3783b76f14410c85db33c1f33e38a)
- Update elements.css [`de18a2e`](https://github.com/bterlson/ecmarkup/commit/de18a2ee4fa7db17081bbdf1909f07132fa53486)
- Code formatting tests [`f03173a`](https://github.com/bterlson/ecmarkup/commit/f03173a6cdb25c8fc66357e0b80512da20af7463)
- Syntax highlighting [`03b76b3`](https://github.com/bterlson/ecmarkup/commit/03b76b3da6df6c14db8dae9c3b7b677bc55edd5c)
- Update ecmarkdown to v3 [`1f4f276`](https://github.com/bterlson/ecmarkup/commit/1f4f2769e8892abb720140e3c482e5b4246ecae2)
- Only reference first production of a given name. [`fd197f2`](https://github.com/bterlson/ecmarkup/commit/fd197f22d6b97f8acaf44596ffe8ea1eb7acb9b0)
- Update link styles [`4c6a1ba`](https://github.com/bterlson/ecmarkup/commit/4c6a1bab790c0e3489a8392a9f1a929941370d64)
- Update readme. [`026fd7c`](https://github.com/bterlson/ecmarkup/commit/026fd7cd84803f887d29429fcc46a81513929b17)
- Process emd in TOC [`e9f9c2f`](https://github.com/bterlson/ecmarkup/commit/e9f9c2fbbbe1c80529a908eb5ad1ffac463ece98)
- Update CSS styles to be more adaptive to zoom [`97987f5`](https://github.com/bterlson/ecmarkup/commit/97987f538cae6e2043204a1537481c19eda8d59f)
- Diff output for test failures [`9e9b6c8`](https://github.com/bterlson/ecmarkup/commit/9e9b6c8ffdcc01dd53a3e7a8fade567e638c1eec)
- update documentation [`31330aa`](https://github.com/bterlson/ecmarkup/commit/31330aa342e4dd819452b3d1176e5f8f51163e1c)
- Version 2.0.0-beta1 [`f420d42`](https://github.com/bterlson/ecmarkup/commit/f420d42692498a923321ac097cb772e9006273d1)
- Fix error with no clauses. [`79bc7da`](https://github.com/bterlson/ecmarkup/commit/79bc7da7ce8e6b8d3cd3ca9d78308845cf009bbb)
- highlight.js to 8.6.0 [`449a5ed`](https://github.com/bterlson/ecmarkup/commit/449a5ed25cc7072dcf0b14da7e307e12d31c74cf)
- Update docs wrt emd productions [`219c19b`](https://github.com/bterlson/ecmarkup/commit/219c19b45c38f1497c688d013eabcd95c414276f)
- Styling for emu-const [`bc3201e`](https://github.com/bterlson/ecmarkup/commit/bc3201e1ce4892eb6ed4e996a6de0f41b3647d67)
- Fix constraints when first RHS child is a text node [`beae0d5`](https://github.com/bterlson/ecmarkup/commit/beae0d54e7759af2f2416227918c11c94e590ba1)
- add styling for emu-val [`005cc1b`](https://github.com/bterlson/ecmarkup/commit/005cc1b6a7f4f1969614487e74f4aba410277a83)
- fix require casing in Spec.js [`aa078d3`](https://github.com/bterlson/ecmarkup/commit/aa078d374560d836bc404fa7747675a3e04b0bf4)
- fix travis.yml [`d8e19b5`](https://github.com/bterlson/ecmarkup/commit/d8e19b5fc41138d435b58247235b6ffed1e9fdbc)
- pass innerHTML of emu-alg to emd.list [`c79e511`](https://github.com/bterlson/ecmarkup/commit/c79e511c6df3b2a10f01a8cabbc2ccae7465d231)
- Fix imports [`a720d68`](https://github.com/bterlson/ecmarkup/commit/a720d684154b18e1a9ff837c99357da5c84fa400)
- Initial commit [`0f53b51`](https://github.com/bterlson/ecmarkup/commit/0f53b5151e652e6c220099e67f93bd2e5e7e4039)
- emu-t only has right margin inside productions [`52b5f2f`](https://github.com/bterlson/ecmarkup/commit/52b5f2f8ef2a208d05cace5d1b20f8d95ed1e467)
- Better styles for productions that break across multiple lines [`0854459`](https://github.com/bterlson/ecmarkup/commit/0854459b3030d6b0f5b41b8f0468383498c7a95b)
- Attempt to fix travis build [`3d1acdf`](https://github.com/bterlson/ecmarkup/commit/3d1acdf6b1e7d4f1cb7404fb7c47c58a21b8a104)
- update spec [`09d327c`](https://github.com/bterlson/ecmarkup/commit/09d327cdedc47ce1e5fed0cf7f601b5728260354)
- Use node executable for tests [`5db6ce7`](https://github.com/bterlson/ecmarkup/commit/5db6ce739d3078e7bc2c7d0a5389e10310f4f1d2)
- v1.6 [`7d08b85`](https://github.com/bterlson/ecmarkup/commit/7d08b85d1c842720a520d8f1871410e16f27e21d)
- Update es6 spec location [`931b958`](https://github.com/bterlson/ecmarkup/commit/931b9584b02ea7e9d7673d87074cdb76be862474)
- v.1.3.1 [`2ff3d79`](https://github.com/bterlson/ecmarkup/commit/2ff3d79be51f37328311345df65d4af5f99a8701)
- Update highlight.js stylesheet [`0ea6a85`](https://github.com/bterlson/ecmarkup/commit/0ea6a85c70c6050417004d2cf2c3d5816b954296)
- Make tests run in iojs [`650af38`](https://github.com/bterlson/ecmarkup/commit/650af387ae90b91099b9bde72ccf871d1f6bc87d)
- Run tests on travis [`b43feb7`](https://github.com/bterlson/ecmarkup/commit/b43feb7ea3fd8f20343d85b3575ca3a7a3dce014)
- fix import case [`2399568`](https://github.com/bterlson/ecmarkup/commit/2399568e886e303c4c61a7e97794e66dbc9d4a92)
- Correct link [`0ccd441`](https://github.com/bterlson/ecmarkup/commit/0ccd441c7ee3e78c320fe74723058ebc6982302e)
- Mention Array#includes in spec doc [`df55c17`](https://github.com/bterlson/ecmarkup/commit/df55c1715615c6fc216e33251bb5a7414ab95165)
- fix typo [`ade1404`](https://github.com/bterlson/ecmarkup/commit/ade1404e6ab70770b69b5c20f18a2d1ce91f7620)
- Don't allow non-terminals to break across lines [`07bf161`](https://github.com/bterlson/ecmarkup/commit/07bf161e222960f1da0438c67cc6dae738e2fc9c)
- Add note about css dependency [`d7837d7`](https://github.com/bterlson/ecmarkup/commit/d7837d7ff5e0c7668557e49dbb123e47dd6036d5)
