"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils = require("./utils");
const nodeIds = new Set();
/*@internal*/
class Builder {
    constructor(spec, node) {
        this.spec = spec;
        this.node = node;
        let nodeId = node.getAttribute('id');
        if (nodeId !== null) {
            if (nodeIds.has(nodeId)) {
                this._log(`<${node.tagName.toLowerCase()}> has duplicate id: ${nodeId}`);
            }
            nodeIds.add(nodeId);
        }
    }
    /*@internal*/
    _log(str) {
        if (!this.spec.opts.verbose)
            return;
        utils.logWarning(str);
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    static enter(context) {
        throw new Error('Builder not implemented');
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    static exit(context) { }
}
exports.default = Builder;
Builder.elements = [];
