"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Builder_1 = require("./Builder");
/*@internal*/
class Dfn extends Builder_1.default {
    static enter({ spec, node, clauseStack }) {
        const parentClause = clauseStack[clauseStack.length - 1];
        if (!parentClause)
            return;
        const entry = {
            type: 'term',
            term: node.textContent,
            refId: parentClause.id,
            referencingIds: [],
        };
        if (node.hasAttribute('id')) {
            entry.id = node.id;
        }
        spec.biblio.add(entry, parentClause.namespace);
    }
}
exports.default = Dfn;
Dfn.elements = ['DFN'];
