import type { BiblioEntry } from './Biblio';
import type { Reporter } from './lint/algorithm-error-reporter-type';
import Spec from './Spec';
import { CancellationToken } from 'prex';
export type { Spec, BiblioEntry };
export declare class Boilerplate {
    address?: string;
    copyright?: string;
    license?: string;
}
export interface Options {
    status?: 'proposal' | 'draft' | 'standard';
    version?: string;
    title?: string;
    shortname?: string;
    stage?: string | null;
    copyright?: boolean;
    date?: Date;
    location?: string;
    contributors?: string;
    toc?: boolean;
    oldToc?: boolean;
    lintSpec?: boolean;
    verbose?: boolean;
    cssOut?: string;
    jsOut?: string;
    assets?: 'none' | 'inline' | 'external';
    outfile?: string;
    boilerplate?: Boilerplate;
    ecma262Biblio?: boolean;
    reportLintErrors?: Reporter;
}
export declare function build(path: string, fetch: (path: string, token: CancellationToken) => PromiseLike<string>, opts?: Options, token?: CancellationToken): Promise<Spec>;
