"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const Spec_1 = require("./Spec");
const utils = require("./utils");
const prex_1 = require("prex");
class Boilerplate {
}
exports.Boilerplate = Boilerplate;
function build(path, fetch, opts, token = prex_1.CancellationToken.none) {
    return __awaiter(this, void 0, void 0, function* () {
        const html = yield fetch(path, token);
        const dom = utils.htmlToDom(html);
        const spec = new Spec_1.default(path, fetch, dom, opts, /*sourceText*/ html, token);
        yield spec.build();
        return spec;
    });
}
exports.build = build;
