import type { LintingError } from './algorithm-error-reporter-type';
import type { Node as EcmarkdownNode } from 'ecmarkdown';
declare type CollectNodesReturnType = {
    success: true;
    headers: {
        element: Element;
        contents: string;
    }[];
    mainGrammar: {
        element: Element;
        source: string;
    }[];
    sdos: {
        grammar: Element;
        alg: Element;
    }[];
    earlyErrors: {
        grammar: Element;
        lists: HTMLUListElement[];
    }[];
    algorithms: {
        element: Element;
        tree?: EcmarkdownNode;
    }[];
} | {
    success: false;
    errors: LintingError[];
};
export declare function collectNodes(sourceText: string, dom: any, document: Document): CollectNodesReturnType;
export {};
