"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ruleId = 'algorithm-step-labels';
/*
Checks that step labels all start with `step-`.
*/
function default_1(report, node, algorithmSource) {
    const nodeType = node.tagName;
    return {
        enter(node) {
            // console.log(node)
            if (node.name === 'ordered-list-item' && node.id != null && !/^step-/.test(node.id)) {
                let itemSource = algorithmSource.slice(node.location.start.offset, node.location.end.offset);
                let offset = itemSource.match(/^\s*\d+\. \[id="/)[0].length;
                report({
                    ruleId,
                    nodeType,
                    line: node.location.start.line,
                    column: node.location.start.column + offset,
                    message: `step labels should start with "step-"`,
                });
            }
        },
    };
}
exports.default = default_1;
