"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ruleId = 'algorithm-step-numbering';
/*
Checks that step numbers are all `1`.
*/
function default_1(report, node, algorithmSource) {
    const nodeType = node.tagName;
    return {
        enter(node) {
            if (node.name === 'ordered-list-item') {
                let itemSource = algorithmSource.slice(node.location.start.offset, node.location.end.offset);
                let match = itemSource.match(/^(\s*)(\d+\.) /);
                if (match[2] !== '1.') {
                    report({
                        ruleId,
                        nodeType,
                        line: node.location.start.line,
                        column: node.location.start.column + match[1].length,
                        message: `expected step number to be "1." (found ${JSON.stringify(match[2])})`,
                    });
                }
            }
        },
    };
}
exports.default = default_1;
