import type { Production, RightHandSide, OneOfList } from 'grammarkdown';
import { Grammar as GrammarFile } from 'grammarkdown';
export declare function offsetToLineAndColumn(string: string, offset: number): {
    line: number;
    column: number;
};
export declare function offsetWithinElementToTrueLocation(elementLoc: ReturnType<typeof getLocation>, string: string, offset: number): {
    line: number;
    column: number;
};
export declare function grammarkdownLocationToTrueLocation(elementLoc: ReturnType<typeof getLocation>, gmdLine: number, gmdCharacter: number): {
    line: number;
    column: number;
};
declare type Location = {
    line: number;
    col: number;
    startOffset: number;
    endOffset: number;
};
export declare type ElementLocation = {
    startTag: Location;
    endTag: Location | null;
};
export declare function getLocation(dom: any, node: Element): ElementLocation;
export declare function getProductions(grammar: GrammarFile): Map<string, {
    production: Production;
    rhses: (RightHandSide | OneOfList)[];
}>;
export declare function rhsMatches(a: RightHandSide | OneOfList, b: RightHandSide | OneOfList): boolean;
export {};
